#ifndef _SQLIDE_BE_H_
#define _SQLIDE_BE_H_

#include "sql_editor_be.h"
#include "interfaces/plugin.h"

class WBPUBLICBACKEND_PUBLIC_FUNC SqlImpl
  : public Sql, public PluginInterfaceImpl, public grt::ModuleImplBase
{
public:
  SqlImpl(grt::CPPModuleLoader *ldr) : grt::ModuleImplBase(ldr) {}

  DEFINE_INIT_MODULE(Sql_VERSION, "MySQL AB", grt::ModuleImplBase,
    DECLARE_MODULE_FUNCTION(SqlImpl::getPluginInfo),
    NULL);
  virtual grt::ListRef<app_Plugin> getPluginInfo();

  virtual std::auto_ptr<Sql_editor> getSqlEditor(db_mgmt_RdbmsRef rdbms);
};


#endif /* _SQLIDE_BE_H_ */
