//
//  cf_label.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 6/Feb/09.
//  Copyright 2009 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "MFView.h"
#include "mforms/label.h"

@interface MFLabelImpl : NSTextField {
  mforms::Label *mOwner;
  mforms::Alignment mAlignment;
  mforms::LabelStyle mStyle;
}

- (void)setLabelStyle:(mforms::LabelStyle)style;
- (NSSize)minimumSizeForWidth:(float)width;

@end
