//
//  MFTable.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 6/Feb/09.
//  Copyright 2009 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "MFContainerBase.h"
#include "mforms/table.h"


@interface MFTableImpl : MFContainerBase {
  mforms::Table *mOwner;
  float mRowSpacing;
  float mColumnSpacing;
  int mRowCount;
  int mColumnCount;
  BOOL mHomogeneous;

  NSMutableArray *mTableCells;
}


- (void)setRowSpacing:(float)spacing;
- (void)setColumnSpacing:(float)spacing;
- (void)setRowCount:(int)count;
- (void)setColumnCount:(int)count;

- (void)addSubview:(NSView*)view left:(int)left right:(int)right top:(int)top bottom:(int)bottom flags:(mforms::TableItemFlags)flags;

@end
