//
//  MFWizard.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 7/Feb/09.
//  Copyright 2009 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include "mforms/wizard.h"

@interface MFWizardBox : NSBox
{
}

@end


@interface MFWizardImpl : NSWindowController {
  mforms::Wizard *mOwner;
  IBOutlet NSButton *nextButton;
  IBOutlet NSButton *backButton;
  IBOutlet NSButton *extraButton;
  IBOutlet NSBox *contentBox;
  IBOutlet NSTextField *headingText;
  IBOutlet NSImage *backImage;
  IBOutlet NSView *stepList;
  BOOL mAllowCancel;
}

- (IBAction)performNext:(id)sender;
- (IBAction)performBack:(id)sender;
- (IBAction)performExtra:(id)sender;

@end
