//
//  MCollectionViewItemView.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 12/Oct/08.
//  Copyright 2008 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface MCollectionViewItemView : NSView 
{
  IBOutlet id delegate;
  NSCollectionViewItem *_owner;
  BOOL _selected;
}

- (void)setOwner:(NSCollectionViewItem*)owner;
- (NSCollectionViewItem*)owner;

- (void)setSelected:(BOOL)flag;
- (BOOL)selected;

- (id)delegate;
- (void)setDelegate:(id)delegate;

@end


@interface NSObject (MCollectionViewItemViewDelegate)
- (void)activateCollectionItem:(id)sender;
- (void)selectCollectionItem:(id)sender;
@end
