#include "lf_button.h"
#include "lf_radiobutton.h"
#include "lf_mforms.h"
#include "lf_checkbox.h"
#include "lf_textentry.h"
#include "lf_textbox.h"
#include "lf_imagebox.h"
#include "lf_label.h"
#include "lf_selector.h"
#include "lf_listbox.h"
#include "lf_tabview.h"
#include "lf_form.h"
#include "lf_panel.h"
#include "lf_box.h"
#include "lf_table.h"
#include "lf_progressbar.h"
#include "lf_filechooser.h"
#include "lf_scrollpanel.h"
#include "lf_treeview.h"
#include "lf_wizard.h"
#include "lf_utilities.h"
//#include "lf_grttreeview.h"


void ::mforms::gtk::init()
{
  mforms::ControlFactory *f= mforms::ControlFactory::get_instance();

  ViewImpl::init();
  BoxImpl::init();
  FormImpl::init();
  ButtonImpl::init();
  RadioButtonImpl::init();
  CheckBoxImpl::init();
  TextEntryImpl::init();
  TextBoxImpl::init();
  LabelImpl::init();
  ImageBoxImpl::init();
  SelectorImpl::init();
  ListBoxImpl::init();
  PanelImpl::init();
  TabViewImpl::init();
  FormImpl::init();
  FileChooserImpl::init();
  ProgressBarImpl::init();
  TableImpl::init();
  ScrollPanelImpl::init();
  TreeViewImpl::init();
  WizardImpl::init();
  UtilitiesImpl::init();
//  GRTTreeViewImpl::init(); initialized in main program

  f->check_impl();
}


