#ifndef __IMAGE_EDITOR_H__
#define __IMAGE_EDITOR_H__

#include "wb_editor_image.h"
#include "GrtTemplates.h"


#pragma make_public(::ImageEditorBE)

#ifdef _MSC_VER
//#include  <vcclr.h> // .net interop helpers
using namespace MySQL::Grt;
using namespace System;
using namespace System::Runtime::InteropServices;
using namespace System::Collections::Generic;
#endif

namespace MySQL {
namespace Grt {

public ref class ImageEditorBE : public BaseEditor
{
protected:
  ImageEditorBE(::ImageEditorBE *inn)
    : BaseEditor(inn)
  {}

public:
  ImageEditorBE::ImageEditorBE(MySQL::Grt::GrtManager^ grtm, MySQL::Grt::GrtValue^ arglist)
  : BaseEditor(
      new ::ImageEditorBE(grtm->get_unmanaged_object(), 
      workbench_model_ImageFigureRef::cast_from(grt::BaseListRef::cast_from(arglist->get_unmanaged_object()).get(0))
          )
      )
  {
  }

  ::ImageEditorBE *get_unmanaged_object()
  { return static_cast<::ImageEditorBE *>(inner); }

  void set_filename(String ^text)
  {
    get_unmanaged_object()->set_filename(NativeToCppString(text));
  }

  String^ get_filename()
  {
    return CppStringToNative(get_unmanaged_object()->get_filename());
  }
};

} // namespace Grt
} // namespace MySQL

#endif // __IMAGE_EDITOR_H__